Bug 924469 - virt-manager first run should install libvirt-daemon-kvm, not daemon-qemu
Summary: virt-manager first run should install libvirt-daemon-kvm, not daemon-qemu
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-21 20:34 UTC by Cole Robinson
Modified: 2013-04-10 01:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-10 01:28:02 UTC


Attachments (Terms of Use)

Description Cole Robinson 2013-03-21 20:34:53 UTC
virt-manager first run should install libvirt-daemon-kvm, not libvirt-daemon-qemu, which pulls in all the not-commonly-used system emulators.

This will fail on arm though since libvirt-daemon-kvm isn't available there. Maybe we should just try kvm for x86 and qemu otherwise.

Comment 1 Daniel Berrangé 2013-03-22 10:22:53 UTC
NB Arm may well have KVM in F19, but if not, it will definitely have it in F20.

I'd recommend attempting to install libvirt-daemon-kvm, and if packagekit reports that the package is not available, automatically fallback to try libvirt-daemon-qemu. Don't try to second guess existance of a -kvm package based on arch.

Comment 2 Cole Robinson 2013-04-01 10:19:47 UTC
I'm just gonna make the simple change of trying to pull in libvirt-daemon-kvm and if anyone complains about lack of arm support we can fix it then.

Comment 3 Fedora Update System 2013-04-01 12:53:16 UTC
virt-manager-0.9.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/virt-manager-0.9.5-1.fc18

Comment 4 Fedora Update System 2013-04-01 22:28:40 UTC
Package virt-manager-0.9.5-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing virt-manager-0.9.5-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4629/virt-manager-0.9.5-1.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-04-10 01:28:04 UTC
virt-manager-0.9.5-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.